## mklibs 0.1.15

=== Makefile ===
install:
	install mklibs.py $(DESTDIR)/usr/bin/mklibs

=== debian/changelog ===
mklibs (0.1.15) unstable; urgency=low

  * Jeff Bailey
    - Use [^\s@] instead of \w when matching symbol, to cover
    leading .
    Thanks to Faulk Hueffner for the suggestion.
    - Bump standards version to 3.6.1 (no changes required)
    - Add myself to Uploaders.

 -- Jeff bailey <jbailey@nisa.net>  Fri,  6 Feb 2004 18:23:43 -0500

mklibs (0.1.14) unstable; urgency=low

  * Phil Blundell
    - Fix corruption of global lib_path introduced in previous version,
    courtesy Richard Hirst.  (Closes: #225823)

 -- Phil Blundell <pb@debian.org>  Thu,  1 Jan 2004 21:43:40 +0000

mklibs (0.1.13) unstable; urgency=low

  * Phil Blundell
    - Just delete any symlinks encountered during library filename 
    canonicalisation, without trying to read their targets.

 -- Phil Blundell <pb@debian.org>  Tue, 30 Dec 2003 21:11:33 +0000

mklibs (0.1.12) unstable; urgency=low

  * Alastair McKinstry
    - Give tidy error on incorrect arg; not a backtrace dump
  * Falk Hueffner
    - Handle weak symbols sensibly (closes: #172828)
    - Detect unsatisfiable symbols (closes: #178557)
  * Phil Blundell
    - fix bug causing no libraries to be reduced if --root not given
    - add hack to work around missing __dso_handle when reducing new
      versions (>= 2.3.2) of libc6.

 -- Phil Blundell <pb@debian.org>  Thu, 28 Aug 2003 13:17:01 +0100

mklibs (0.1.11) unstable; urgency=low

  * Alastair McKinstry
    - Typo; change --no-default-libs to --no-default-lib
  * Phil Blundell
    - look at all mentioned objects to see what symbols they provide
    - new option "--root=DIRECTORY".  Search there for library rpaths.
    - don't copy libraries to DESTDIR if they are already in the
    target tree.
    - don't blow up on libraries with no soname.

 -- Phil Blundell <pb@debian.org>  Wed,  7 May 2003 18:58:50 +0100

mklibs (0.1.10) unstable; urgency=low

  * Petter Reinholdtsen
    - Remove myself from uploaders list.  I do not really have a clue
      about this package.
  * Phil Blundell
    - scan binaries for rpath strings, and add them to the search path
      used for shared objects.

 -- Phil Blundell <pb@debian.org>  Mon, 21 Apr 2003 16:03:27 +0200

mklibs (0.1.9) unstable; urgency=low

  * Bastian Blank
    - fix -D (don't have an argument)
    - fix so_pattern (we don't want non-lib so files)
    - fix globs to find pic files
    - only recommend libc6-pic, aren't always needed.
    - remove libm hack on request
  * Petter Reinholdtsen
    - Accept non-digits after .so in library names. (Closes: #178002)
    - Add myself as uploader.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 26 Jan 2003 13:33:46 +0100

mklibs (0.1.8) unstable; urgency=low

  * explicitly set LC_ALL=C to get parseable output. (closes: #166803)

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 28 Oct 2002 20:35:50 +0100

mklibs (0.1.7) unstable; urgency=low

  * Depend on libc6-pic | libc6.1-pic, for Alpha.

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 20 Oct 2002 14:55:03 +0200

mklibs (0.1.6) unstable; urgency=low
  
  * add -D, --no-default-libs switch to omit default lib path
  * find dynamic linker by looking at the INTERP header rather
    than assuming we can infer it from the libc version number.
    (closes: #155779)
  * Ensure that the dynamic linker is installed along with the small
    libs.  In the case of glibc, libc.so has calls into ld-linux.so
    (glibc dynamic linker) so mklibs will always install ld-linux.so
    when it resolves external references.  However, uClibc's libc
    doesn't call it's dynamic linker (ld-uClibc.so).  In that case
    we have to copy it in manually.
  * Make sure we install libs under their soname. (closes: #154169)

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 17 Oct 2002 04:43:33 +0200

mklibs (0.1.5) unstable; urgency=low

  * made -h work as --help
  * added Build-Deps on c-compiler, modutils, libc6-dev
  * install libraries by soname only (closes: #154169).

 -- Eduard Bloch <blade@debian.org>  Sat, 27 Jul 2002 10:07:48 +0200

mklibs (0.1.4) unstable; urgency=low

  * Reinstate lost fix from 0.1.2.

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 23 Jul 2002 09:21:09 +0200

mklibs (0.1.3) unstable; urgency=low

  * use debuglevel = debuglevel + 1 instead of += construct, since it
    seems like some older pythons doesn't like that syntax. 
    (closes: #153283)

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 23 Jul 2002 01:00:59 +0200

mklibs (0.1.2) unstable; urgency=low

  * Add manual page (closes: #152235); thanks to Matt Kraai.

 -- Tollef Fog Heen <tfheen@debian.org>  Mon,  8 Jul 2002 09:51:09 +0200

mklibs (0.1.1) unstable; urgency=low

  * Change mklibs.py to mklibs. (closes: #150586)
  * s/Build-Depends/Build-Depends-Indep/ in the control file. (shuts up
    lintian)
  * Apply patch from Matt Krai, adding help and fixing -L (closes: #150627)
  * Add myself to uploaders
  * Make symlinks for the libs as well.

 -- Tollef Fog Heen <tfheen@debian.org>  Sat, 22 Jun 2002 14:42:29 +0200

mklibs (0.1) unstable; urgency=low

  * Initial release

 -- Phil Blundell <pb@debian.org>  Tue, 11 Jun 2002 20:30:12 +0100

=== debian/control ===
Source: mklibs
Section: devel
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.6.1
Uploaders: Phil Blundell <pb@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Jeff Bailey <jbailey@nisa.net>

Package: mklibs
Architecture: all
Depends: python, binutils, gcc
Recommends: libc6-pic | libc6.1-pic
Description: Shared library reduction script
 mklibs.py produces cut-down shared libraries that contain only the
 routines required by a particular set of executables.  This is
 useful when building closed systems where disk space is at a premium,
 such as the Debian installer.

=== debian/rules ===
#!/usr/bin/make -f
# rules for mklibs

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# No configuring or building required
configure:
build:

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/mklibs.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/mklibs


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman mklibs.1
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: build clean binary-indep binary-arch binary install configure

## mklibs 0.1.20

=== debian/changelog ===
mklibs (0.1.20) unstable; urgency=low

  * Fix readelf output regexp for compatibility with current readelf on
    alpha

 -- Steve Langasek <vorlon@debian.org>  Tue, 10 Jan 2006 10:25:12 -0800

mklibs (0.1.19) unstable; urgency=high

  * The "what's better than a hard-coded value?  TWO hard-coded values!"
    upload
  * The glibc soname on alpha is libc.so.6.1, not libc.so.6; special-case
    both names so that we can pick up /usr/lib/libc_pic/soinit.o on alpha
    (and ia64?).
  * Add myself to Uploaders (ok'ed by Frans).

 -- Steve Langasek <vorlon@debian.org>  Sat,  5 Nov 2005 06:24:10 -0800

mklibs (0.1.18) unstable; urgency=low

  * Do not include rpaths multiple times (closes: #334544).
  * Add debugging output when adding undefined symbols (closes: #33277).
  * Add myself to uploaders.
  * Acknowlegde NMU (closes: #327698).

 -- Frans Pop <fjp@debian.org>  Sat, 22 Oct 2005 21:21:18 +0200

mklibs (0.1.17) unstable; urgency=low

  [ Bastian Blank ]
  * Use dynamic symbol table.
  * Add mklibs-copy package.

 -- Bastian Blank <waldi@debian.org>  Fri, 14 Oct 2005 09:56:48 +0200

mklibs (0.1.16.1) unstable; urgency=low

  * NMU
  * Take into account symbols from libs that are present under the root
    (mainly ./usr/lib). Closes: #327698.

 -- Frans Pop <fjp@debian.org>  Mon, 12 Sep 2005 15:31:16 +0200

mklibs (0.1.16) unstable; urgency=low

  * Apply patch from ths to not choke on LOCAL UND symbols. Closes: #319620
  * Add myself to uploaders.
  * Update standards version (no real changes).
  * Remove CVS dirs from source tarball.

 -- Joey Hess <joeyh@debian.org>  Sat, 23 Jul 2005 14:27:20 -0400

=== debian/control ===
Source: mklibs
Section: devel
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Build-Depends: debhelper (>= 4.2)
Standards-Version: 3.6.1
Uploaders: Phil Blundell <pb@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Jeff Bailey <jbailey@nisa.net>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>, Steve Langasek <vorlon@debian.org>

Package: mklibs
Architecture: all
Depends: python2.4, binutils, gcc
Recommends: libc6-pic | libc6.1-pic
Description: Shared library reduction script
 mklibs produces cut-down shared libraries that contain only the
 routines required by a particular set of executables.  This is
 useful when building closed systems where disk space is at a premium,
 such as the Debian installer.

Package: mklibs-copy
Architecture: any
Depends: python2.4-minimal, ${shlibs:Depends}, ${misc:Depends}
Description: Shared library reduction script
 mklibs-copy produces a minimal set of shared libraries that contain
 only the libs which are required by a particular set of executables.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

configure:
	AUTOMAKE=automake-1.9 ACLOCAL=aclocal-1.9 autoreconf -i -v
	@exit 1

build-deb/config.status: configure
	dh_testdir
	-mkdir build-deb
	cd build-deb && \
	../configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info

build: build-deb-stamp
build-deb-stamp: build-deb/config.status
	dh_testdir

	$(MAKE) -C build-deb

	touch $@

clean:
	dh_testdir
	rm -f *-stamp

	-rm -rf build-*

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) -C build-deb install DESTDIR=$(CURDIR)/debian/tmp

	dh_install --sourcedir=debian/tmp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -s
	dh_installdocs -s
	dh_link -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-arch binary-indep
.PHONY: binary binary-arch binary-indep build clean install

## mklibs 0.1.20ubuntu1

=== debian/changelog ===
mklibs (0.1.20ubuntu1) feisty; urgency=low

  * Depend on the unversioned python packages.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 Jan 2007 15:51:02 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: mklibs
 Architecture: all
-Depends: python2.4, binutils, gcc
+Depends: python (>= 2.4), binutils, gcc
 Recommends: libc6-pic | libc6.1-pic
 Description: Shared library reduction script
  mklibs produces cut-down shared libraries that contain only the
@@ -18,7 +18,7 @@
 
 Package: mklibs-copy
 Architecture: any
-Depends: python2.4-minimal, ${shlibs:Depends}, ${misc:Depends}
+Depends: python-minimal (>= 2.4), ${shlibs:Depends}, ${misc:Depends}
 Description: Shared library reduction script
  mklibs-copy produces a minimal set of shared libraries that contain
  only the libs which are required by a particular set of executables.

## mklibs 0.1.23

=== debian/changelog ===
mklibs (0.1.23) unstable; urgency=low

  * Fix ld name detection.

 -- Bastian Blank <waldi@debian.org>  Mon, 11 Jun 2007 07:56:06 +0000

mklibs (0.1.22) unstable; urgency=low

  * Fix missing includes. (closes: #417430)
  * Always include libgcc on old-abi arm.

 -- Bastian Blank <waldi@debian.org>  Wed,  6 Jun 2007 07:58:40 +0000

mklibs (0.1.21) unstable; urgency=low

  * Use mklibs-readelf in mklibs.

 -- Bastian Blank <waldi@debian.org>  Wed,  9 May 2007 20:54:28 +0000
 

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: mklibs
 Architecture: all
-Depends: python (>= 2.4), binutils, gcc
+Depends: python, binutils, gcc, mklibs-copy (>= ${source:Version})
 Recommends: libc6-pic | libc6.1-pic
 Description: Shared library reduction script
  mklibs produces cut-down shared libraries that contain only the
@@ -18,7 +18,7 @@
 
 Package: mklibs-copy
 Architecture: any
-Depends: python-minimal (>= 2.4), ${shlibs:Depends}, ${misc:Depends}
+Depends: python-minimal, ${shlibs:Depends}, ${misc:Depends}
 Description: Shared library reduction script
  mklibs-copy produces a minimal set of shared libraries that contain
  only the libs which are required by a particular set of executables.

## mklibs 0.1.26

=== debian/changelog ===
mklibs (0.1.26) unstable; urgency=low

  [ Joey Hess ]
  * Add XS-Vcs-Svn field.
  * Current standards-version (no changes needed).

  [ Bastian Blank ]
  * Fix linker name for non-default versions.

 -- Bastian Blank <waldi@debian.org>  Thu, 04 Oct 2007 11:35:55 +0200

mklibs (0.1.25) unstable; urgency=low

  * Support symbol versions. (closes: #433874)
  * Make it possible to force libraries.

 -- Bastian Blank <waldi@debian.org>  Mon, 01 Oct 2007 11:53:53 +0200

mklibs (0.1.24) unstable; urgency=low

  * Also check for symboles without type. (closes: #433388)

 -- Bastian Blank <waldi@debian.org>  Mon, 16 Jul 2007 21:01:07 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Build-Depends: debhelper (>= 4.2)
-Standards-Version: 3.6.1
+Standards-Version: 3.7.2
 Uploaders: Phil Blundell <pb@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Jeff Bailey <jbailey@nisa.net>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>, Steve Langasek <vorlon@debian.org>
+XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/mklibs
 
 Package: mklibs
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 configure:
-	AUTOMAKE=automake-1.9 ACLOCAL=aclocal-1.9 autoreconf -i -v
+	autoreconf -i -v
 	@exit 1
 
 build-deb/config.status: configure

## mklibs 0.1.29

=== debian/changelog ===
mklibs (0.1.29) unstable; urgency=low

  [ Aurelien Jarno ]
  * mklibs: detect libc.so.0.1 (GNU/kFreeBSD) and libc.so.0.3 (GNU Hurd) as
    well. (closes: #365227)
  * debian/control: also recommend libc0.1-pic (GNU/kFreeBSD) and libc0.3-pic
    (GNU Hurd).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 24 Jul 2009 11:59:23 +0200

mklibs (0.1.28) unstable; urgency=low

  [ Aurelien Jarno ]
  * mklibs: blacklist all __gnu_local_gp* symbols.
  * mklibs-copy: depends on python instead of python-minimal.
  * switch to debhelper 5.
  * debian/copyright: add a copyright section to make lintian happy.
  * bump Standards-Version to 3.8.2.0 (no changes).

 -- Bastian Blank <waldi@debian.org>  Sun, 19 Jul 2009 15:07:44 +0200 

mklibs (0.1.27) unstable; urgency=low

  [ Joey Hess ]
  * Apply patches from Joseph S. Myers (closes: #469070):
    - mklibs-readelf: Uninitialized data fix
    - mklibs-readelf: Endian fix
    - mklibs: Add --sysroot, to locate all libraries and other related input
      files relative to a specified root directory rather than /.
    - mklibs: Add --gcc-options and --libdir options as well.
    - mklibs: Correct diagnostic text when symbol cannot be found.
    - mklibs: Ignore missing symbols from libthread_db, which are defined
      in the application that uses it.
  * Document --root in the man page.

  [ Frans Pop ]
  * Apply patches from Joseph S. Myers:
    - Ignore the fact that symbol __gnu_local_gp is undefined for mips as it
      is defined by the linker. Thanks to Joseph S. Myers. Closes: #499744.
  * Remove myself as uploader.

  [ Martin Michlmayr ]
  * mklibs-readelf: add missing header to avoid build error with GCC 4.4.
    Closes: #505025.

  [ Bastian Blank ]
  * Support file definitions in version requirements. Based on patch by Andrew
    Stubbs <ams@codesourcery.com>. (closes: #508929)
  * Various cleanups.
  * Ignore symbols with empty names. (closes: #518088)

 -- Bastian Blank <waldi@debian.org>  Wed, 06 May 2009 13:56:04 +0200

## mklibs 0.1.29build1

=== debian/changelog ===
mklibs (0.1.29build1) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Sun, 07 Mar 2010 00:57:13 +0100

=== debian/control ===
Source: mklibs
Section: devel
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Build-Depends: debhelper (>= 5.0)
Standards-Version: 3.8.2.0
Uploaders: Phil Blundell <pb@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Jeff Bailey <jbailey@nisa.net>, Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/mklibs

Package: mklibs
Architecture: all
Depends: python, binutils, gcc, mklibs-copy (>= ${source:Version})
Recommends: libc6-pic | libc6.1-pic | libc0.1-pic | libc0.3-pic
Description: Shared library reduction script
 mklibs produces cut-down shared libraries that contain only the
 routines required by a particular set of executables.  This is
 useful when building closed systems where disk space is at a premium,
 such as the Debian installer.

Package: mklibs-copy
Architecture: any
Depends: python, ${shlibs:Depends}, ${misc:Depends}
Description: Shared library reduction script
 mklibs-copy produces a minimal set of shared libraries that contain
 only the libs which are required by a particular set of executables.

## mklibs 0.1.30

=== debian/changelog ===
mklibs (0.1.30) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.

  [ Bastian Blank ]
  * Use python-support.
  
  [ Aurelien Jarno ]
  * Add support for STT_GNU_IFUNC symbols.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 02 Jun 2010 19:46:49 +0200

=== debian/control ===
Source: mklibs
Section: devel
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Build-Depends: debhelper (>= 7.3.0~), python-support
Standards-Version: 3.8.2.0
Uploaders: Phil Blundell <pb@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Jeff Bailey <jbailey@nisa.net>, Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/mklibs

Package: mklibs
Architecture: all
Depends: python, binutils, gcc, mklibs-copy (>= ${source:Version}), ${python:Depends}, ${misc:Depends}
Recommends: libc6-pic | libc6.1-pic | libc0.1-pic | libc0.3-pic
Description: Shared library reduction script
 mklibs produces cut-down shared libraries that contain only the
 routines required by a particular set of executables.  This is
 useful when building closed systems where disk space is at a premium,
 such as the Debian installer.

Package: mklibs-copy
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Shared library reduction script
 mklibs-copy produces a minimal set of shared libraries that contain
 only the libs which are required by a particular set of executables.

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh --builddirectory=build-deb $@

override_dh_pysupport:
	dh_pysupport usr/lib/mklibs

configure:
	autoreconf -i -v
	@exit 1

build: configure

## mklibs 0.1.33

=== debian/changelog ===
mklibs (0.1.33) unstable; urgency=low

  * Adjust the libc_pic directory for multiarch as well.

 -- Colin Watson <cjwatson@debian.org>  Fri, 18 Mar 2011 14:26:36 +0000

mklibs (0.1.32) unstable; urgency=low

  * Add multiarch directories to the default library path if
    dpkg-architecture provides a DEB_HOST_MULTIARCH variable (LP: #737055).

 -- Colin Watson <cjwatson@debian.org>  Fri, 18 Mar 2011 09:58:18 +0000

mklibs (0.1.31) unstable; urgency=low

  [ Colin Watson ]
  * Use 'dh $@ --options' rather than 'dh --options $@', for
    forward-compatibility with debhelper v8.

  [ Bastian Blank ]
  * Support python 2.6 (closes: #585254)
  * Don't fail with static binaries (closes: #606621)

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 19:20:29 -0200

=== debian/control ===
Source: mklibs
Section: devel
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Build-Depends: debhelper (>= 7.3.0~), python-support
Standards-Version: 3.8.2.0
Uploaders: Phil Blundell <pb@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Jeff Bailey <jbailey@nisa.net>, Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>
Vcs-Browser: http://git.debian.org/?p=d-i/mklibs.git
Vcs-Git: git://git.debian.org/d-i/mklibs.git

Package: mklibs
Architecture: all
Depends: python (>= 2.4), binutils, gcc, mklibs-copy (>= ${source:Version}), ${python:Depends}, ${misc:Depends}
Recommends: libc6-pic | libc6.1-pic | libc0.1-pic | libc0.3-pic
Description: Shared library reduction script
 mklibs produces cut-down shared libraries that contain only the
 routines required by a particular set of executables.  This is
 useful when building closed systems where disk space is at a premium,
 such as the Debian installer.

Package: mklibs-copy
Architecture: any
Depends: python (>= 2.4), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Shared library reduction script
 mklibs-copy produces a minimal set of shared libraries that contain
 only the libs which are required by a particular set of executables.

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@ --builddirectory=build-deb

override_dh_pysupport:
	dh_pysupport usr/lib/mklibs

configure:
	autoreconf -i -v
	@exit 1

build: configure

## mklibs 0.1.33ubuntu3

=== debian/changelog ===
mklibs (0.1.33ubuntu3) precise; urgency=low

  * Ignore claims of NEEDED *@ld-linux.so.3 symbols, as this completely
    confuses armhf's double linker situation, and doing so doesn't
    break armel (or anything else with a linker by that SONAME), as
    linkers are treated specially and copied anyway (LP: #984007)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 17 Apr 2012 22:51:00 -0600

mklibs (0.1.33ubuntu2) precise; urgency=low

  * Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 13:14:07 +0000

mklibs (0.1.33ubuntu1) precise; urgency=low

  * Stop handling the linker as "just another library", and instead
    make sure it gets installed to the path specified in ELF headers.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 08 Dec 2011 11:41:50 -0700

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@ --builddirectory=build-deb --with=python2

override_dh_pysupport:
	dh_pysupport usr/lib/mklibs

configure:
	autoreconf -i -v
	@exit 1

build: configure

## mklibs 0.1.34

=== debian/changelog ===
mklibs (0.1.34) unstable; urgency=low

  [ Cyril Brulebois ]
  * Fix FTBFS with gcc 4.7 due to missing <unistd.h> include (closes:
    #667282).

  [ Adam Conrad ]
  * Ignore claims of NEEDED *@ld-linux.so.3 symbols, as this completely
    confuses armhf's double linker situation, and doing so doesn't
    break armel (or anything else with a linker by that SONAME), as
    linkers are treated specially and copied anyway (LP: #984007)

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 May 2012 16:17:59 +0100

## mklibs 0.1.34ubuntu1

=== debian/changelog ===
mklibs (0.1.34ubuntu1) quantal; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Stop handling the linker as "just another library", and instead
      make sure it gets installed to the path specified in ELF headers.
    - Switch from python-support to dh_python2.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 24 Jun 2012 03:37:23 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: mklibs
 Section: devel
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Build-Depends: debhelper (>= 7.3.0~), python-support
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Build-Depends: debhelper (>= 7.3.0~), python (>= 2.6.6-3~)
 Standards-Version: 3.8.2.0
 Uploaders: Phil Blundell <pb@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Jeff Bailey <jbailey@nisa.net>, Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>
 Vcs-Browser: http://git.debian.org/?p=d-i/mklibs.git

## mklibs 0.1.38

=== debian/changelog ===
mklibs (0.1.38) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Set Vcs-* to canonical format.
  * Simply use (>= 9) version specifier for debhelper.

  [ Christian Perrier ]
  * Add myself to Uploaders
  * Drop Phil Blundell, Tollef Fog Heen, Jeff Bailey from Uploaders as they
    haven't worked on the package for a very long time. Thanks for your
    pastwork.

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jul 2013 12:57:49 +0200

mklibs (0.1.37) unstable; urgency=low

  * Stop handling the linker as "just another library", and instead make
    sure it gets installed to the path specified in ELF headers (closes:
    #256998; thanks, Adam Conrad).
  * Switch from python-support to dh_python2 (thanks, Matthias Klose).
  * Properly byte-compile modules under /usr/lib/mklibs/python/.
  * Switch to debhelper 9, thereby making use of dpkg-buildflags.

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 May 2013 12:43:08 +0100

mklibs (0.1.36) unstable; urgency=low

  * Team upload

  [ Colin Watson ]
  * Use AC_CANONICAL_HOST rather than AC_CANONICAL_TARGET.  We do not use
    the results of the latter, and it causes warnings from autoconf due to
    macro ordering relative to AM_INIT_AUTOMAKE.

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 May 2013 18:08:18 +0200

mklibs (0.1.35) unstable; urgency=low

  [ Cyril Brulebois ]
  * Simplify autoreconfing:
    - Add dh-autoreconf build-dep.
    - Add “--with autoreconf” accordingly.
    - Get rid of the “configure” target accordingly.

  [ Colin Watson ]
  * Depend on dpkg-dev for dpkg-architecture (LP: #977347).

 -- Christian Perrier <bubulle@debian.org>  Wed, 26 Dec 2012 07:54:02 +0100

## mklibs 0.1.39

=== debian/changelog ===
mklibs (0.1.39) unstable; urgency=medium

  * Sort objects and libraries to reduce entropy in the output, which
    should make d-i build logs more easily post-processable.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 01 Mar 2014 19:25:40 +0100

## mklibs 0.1.40

=== debian/changelog ===
mklibs (0.1.40) unstable; urgency=medium

  [ Ian Campbell ]
  * Ignore all ARM EABI symbols (__aeabi_*). These are artefacts of the
    ABI and not real symbols which need to be present (See: #758581).
    Thanks, Adam Conrad!

 -- Cyril Brulebois <kibi@debian.org>  Mon, 25 Aug 2014 03:49:55 +0200

=== debian/control ===
Source: mklibs
Section: devel
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), dh-autoreconf
Standards-Version: 3.8.2.0
Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, Christian Perrier <bubulle@debian.org>
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/mklibs.git
Vcs-Git: git://anonscm.debian.org/d-i/mklibs.git
X-Python-Version: >= 2.4

Package: mklibs
Architecture: all
Depends: python (>= 2.4), binutils, gcc, dpkg-dev, mklibs-copy (>= ${source:Version}), ${python:Depends}, ${misc:Depends}
Recommends: libc6-pic | libc6.1-pic | libc0.1-pic | libc0.3-pic
Description: Shared library reduction script
 mklibs produces cut-down shared libraries that contain only the
 routines required by a particular set of executables.  This is
 useful when building closed systems where disk space is at a premium,
 such as the Debian installer.

Package: mklibs-copy
Architecture: any
Depends: python (>= 2.4), dpkg-dev, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Shared library reduction script
 mklibs-copy produces a minimal set of shared libraries that contain
 only the libs which are required by a particular set of executables.

## mklibs 0.1.41

=== debian/changelog ===
mklibs (0.1.41) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Sun, 07 Feb 2016 19:13:26 +0100

## mklibs 0.1.41ubuntu1

=== debian/changelog ===
mklibs (0.1.41ubuntu1) yakkety; urgency=medium

  * Work around mklibs-readelf segfaults under fakeroot with new glibc:
    - Convert command() method from os.popen() to subprocess.Popen()
    - Fix one command() call to stop providing args as a single string
    - Filter libfakeroot from LD_PRELOAD when calling mklibs-readelf

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2016 16:59:32 -0600

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: mklibs
 Section: devel
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), dh-autoreconf
 Standards-Version: 3.8.2.0
 Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, Christian Perrier <bubulle@debian.org>
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/mklibs.git
-Vcs-Git: git://anonscm.debian.org/d-i/mklibs.git
+Vcs-Browser: https://anonscm.debian.org/cgit/d-i/mklibs.git
+Vcs-Git: https://anonscm.debian.org/git/d-i/mklibs.git
 X-Python-Version: >= 2.4
 
 Package: mklibs

## mklibs 0.1.43

=== debian/changelog ===
mklibs (0.1.43) unstable; urgency=medium

  * Add support for DT_RUNPATH in addition to DT_RPATH (Closes: #845418).
    Main reasons to do so include:
     - according to the elf.h header, the latter is deprecated.
     - new versions of binutils generate DT_RUNPATH entries instead of
       DT_RPATH ones, as detailed in cdebconf's #845414.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 23 Nov 2016 09:03:52 +0100

mklibs (0.1.42) unstable; urgency=high

  * mklibs-readelf: Initialize section_DYNAMIC and section_DYNSYM to
    NULL to make sure they don't end up with a random address, which
    could lead to a segfault when trying to access them. This was
    seen under fakeroot with the debian-installer FTBFS on armel, armhf,
    i386, mips, and mipsel since early september (Closes: #839264).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 30 Sep 2016 22:32:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mklibs
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), dh-autoreconf
 Standards-Version: 3.8.2.0
 Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, Christian Perrier <bubulle@debian.org>

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@ --builddirectory=build-deb --with=autoreconf,python2

# debhelper defaults to using multiarch paths at compat level 9, which is a
# reasonable choice in general but unnecessary here.
override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib

override_dh_python2:
	dh_python2 /usr/lib/mklibs/python

## mklibs 0.1.44

=== debian/changelog ===
mklibs (0.1.44) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 28 Aug 2018 17:40:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), dh-autoreconf
 Standards-Version: 3.8.2.0
 Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, Christian Perrier <bubulle@debian.org>
-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/mklibs.git
-Vcs-Git: https://anonscm.debian.org/git/d-i/mklibs.git
+Vcs-Browser: https://salsa.debian.org/installer-team/mklibs
+Vcs-Git: https://salsa.debian.org/installer-team/mklibs.git
 X-Python-Version: >= 2.4
 
 Package: mklibs

## mklibs 0.1.44ubuntu1

=== debian/changelog ===
mklibs (0.1.44ubuntu1) focal; urgency=medium

  * Don't hard-code python.
  * Build-depend on dh-python, python2.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2020 18:29:39 +0100

=== debian/control ===
Source: mklibs
Section: devel
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Build-Depends: debhelper (>= 9), python2 (>= 2.6.6-3~), dh-autoreconf, dh-python
Standards-Version: 3.8.2.0
Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, Christian Perrier <bubulle@debian.org>
Vcs-Browser: https://salsa.debian.org/installer-team/mklibs
Vcs-Git: https://salsa.debian.org/installer-team/mklibs.git
X-Python-Version: >= 2.4

Package: mklibs
Architecture: all
Depends: binutils, gcc, dpkg-dev, mklibs-copy (>= ${source:Version}), ${python:Depends}, ${misc:Depends}
Recommends: libc6-pic | libc6.1-pic | libc0.1-pic | libc0.3-pic
Description: Shared library reduction script
 mklibs produces cut-down shared libraries that contain only the
 routines required by a particular set of executables.  This is
 useful when building closed systems where disk space is at a premium,
 such as the Debian installer.

Package: mklibs-copy
Architecture: any
Depends: dpkg-dev, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Shared library reduction script
 mklibs-copy produces a minimal set of shared libraries that contain
 only the libs which are required by a particular set of executables.

## mklibs 0.1.44ubuntu2

=== debian/changelog ===
mklibs (0.1.44ubuntu2) focal; urgency=medium

  * src/mklibs{,-copy}: use python2 explicitly

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 15 Jan 2020 18:54:23 +0000

## mklibs 0.1.44ubuntu3

=== debian/changelog ===
mklibs (0.1.44ubuntu3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:49:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mklibs
 Section: devel
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Build-Depends: debhelper (>= 9), python2 (>= 2.6.6-3~), dh-autoreconf, dh-python
 Standards-Version: 3.8.2.0
 Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, Christian Perrier <bubulle@debian.org>

## mklibs 0.1.44+nmu1

=== debian/changelog ===
mklibs (0.1.44+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:03:53 +0800

## mklibs 0.1.44.1

=== debian/changelog ===
mklibs (0.1.44.1) unstable; urgency=medium

  * Non-maintainer upload. Closes: #966760.

  [ Andreas Hasenack ]
  * src/mklibs{,-copy}: use python2 explicitly

  [ Matthias Klose ]
  * Don't hard-code python.
  * Build-depend on dh-python, python2.

 -- Matthias Klose <doko@debian.org>  Sat, 08 Aug 2020 16:28:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: mklibs
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Build-Depends: debhelper (>= 9), python2 (>= 2.6.6-3~), dh-autoreconf, dh-python
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Build-Depends: debhelper (>= 9), python2, dh-autoreconf, dh-python
 Standards-Version: 3.8.2.0
 Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, Christian Perrier <bubulle@debian.org>
 Vcs-Browser: https://salsa.debian.org/installer-team/mklibs

## mklibs 0.1.45

=== debian/changelog ===
mklibs (0.1.45) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927569)

  [ Holger Wansing ]
  * Remove trailing whitespaces from changelog file, to fix lintian tag.

  [ Andrej Valek ]
  * Remove deprecated exception specifications for C++ 17 (Closes: #998183)

  [ Jann Haber ]
  * Switch to python3 (Closes: #937054)

  [ Samuel Thibault ]
  * Complete switch to python3.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Jan 2022 22:29:19 +0100

=== debian/control ===
Source: mklibs
Section: devel
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Build-Depends: debhelper (>= 9), python3, dh-autoreconf, dh-python
Standards-Version: 3.8.2.0
Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>
Vcs-Browser: https://salsa.debian.org/installer-team/mklibs
Vcs-Git: https://salsa.debian.org/installer-team/mklibs.git
X-Python-Version: >= 2.4

Package: mklibs
Architecture: all
Depends: python3, binutils, gcc, dpkg-dev, mklibs-copy (>= ${source:Version}), ${python3:Depends}, ${misc:Depends}
Recommends: libc6-pic | libc6.1-pic | libc0.1-pic | libc0.3-pic
Description: Shared library reduction script
 mklibs produces cut-down shared libraries that contain only the
 routines required by a particular set of executables.  This is
 useful when building closed systems where disk space is at a premium,
 such as the Debian installer.

Package: mklibs-copy
Architecture: any
Depends: python3, dpkg-dev, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Shared library reduction script
 mklibs-copy produces a minimal set of shared libraries that contain
 only the libs which are required by a particular set of executables.

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@ --builddirectory=build-deb --with=autoreconf,python3

# debhelper defaults to using multiarch paths at compat level 9, which is a
# reasonable choice in general but unnecessary here.
override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib

override_dh_python3:
	dh_python3 /usr/lib/mklibs/python

## mklibs 0.1.45build1

=== debian/changelog ===
mklibs (0.1.45build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 16 Dec 2025 20:54:18 +0000
